package com.lz.modules.equipment.dao;
/**
* <p>
* 设备表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-06
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.modules.equipment.entity.EquipmentQr;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface EquipmentQrMapper extends BaseMapper<EquipmentQr> {


	EquipmentQr selectEquipmentQrById(@Param("id") Long id);


	Long insertEquipmentQr(EquipmentQr equipmentQr);


	int updateEquipmentQrById(EquipmentQr equipmentQr);


	int updateCoverEquipmentQrById(EquipmentQr equipmentQr);


	int deleteEquipmentQrById(@Param("id") Long id);

	List<EquipmentQr> findRrBySpec(@Param("specsId") Long specsId);


	EquipmentQr selectByOwnerIdType(@Param("ownerId") Long ownerId, @Param("type") int type, @Param("specsId") Long specsId);
}